Bug 1369426 - [RFE] Database should be migrated from MongoDB to a SQL database
Summary: [RFE] Database should be migrated from MongoDB to a SQL database
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: Upstream M3
: 10.0 (Newton)
Assignee: Pradeep Kilambi
QA Contact: Pradeep Kilambi
URL:
Whiteboard:
Depends On:
Blocks: 1337794
TreeView+ depends on / blocked
 
Reported: 2016-08-23 12:04 UTC by Julien Danjou
Modified: 2016-12-14 15:52 UTC (History)
11 users (show)

Fixed In Version: openstack-tripleo-heat-templates-5.0.0-0.20160817161003.bacc2c6.el7ost
Doc Type: Enhancement
Doc Text:
AODH now uses MYSQL as its default database back end. Previously, AODH used MongoDB as its default back end to make the transition from Ceilometer to AODH easier.
Clone Of:
Environment:
Last Closed: 2016-12-14 15:52:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 353042 None None None 2016-08-23 12:18:24 UTC
Launchpad 1611794 None None None 2016-08-23 12:17:47 UTC

Description Julien Danjou 2016-08-23 12:04:22 UTC
Upstream has deprecated the non-SQL database backend from Aodh, and they are going away. They also provide a script to migrate the alarms contained in MongoDB to SQL backends.

OSPd needs to do this on upgrade and deploy on SQL by default

Comment 6 Yurii Prokulevych 2016-10-21 09:36:32 UTC
Verified according test plan.

Package:
openstack-tripleo-heat-templates-5.0.0-0.20161008015357.0d3e3e3.1.el7ost.noarch

Comment 8 Julien Danjou 2016-11-14 09:45:16 UTC
Hi Lucy,

Unless the documentation explicitly talks about MongoDB for Aodh, I don't think there's anything to update in the documentation.

Comment 10 errata-xmlrpc 2016-12-14 15:52:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.